diff --git a/sys/netinet/ip_carp.c b/sys/netinet/ip_carp.c
index a9efdf8..f2273bd 100644
--- a/sys/netinet/ip_carp.c
+++ b/sys/netinet/ip_carp.c
@@ -1242,7 +1242,7 @@ carp_input(void *v, struct mbuf *m)
 		if ((sc->sc_if.if_flags & IFF_UP) == 0)
 			continue;
 
-		m0 = m_dup(m, MB_DONTWAIT);
+		m0 = m_dup(m, M_NOWAIT);
 		if (m0 == NULL)
 			continue;
 
@@ -1349,7 +1349,7 @@ carp_send_ad(struct carp_softc *sc)
 	if (sc->sc_ia != NULL) {
 		struct ip *ip;
 
-		MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(m, M_NOWAIT, MT_HEADER);
 		if (m == NULL) {
 			IFNET_STAT_INC(cifp, oerrors, 1);
 			carpstats.carps_onomem++;
@@ -1418,7 +1418,7 @@ carp_send_ad(struct carp_softc *sc)
 	if (sc->sc_ia6) {
 		struct ip6_hdr *ip6;
 
-		MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(m, M_NOWAIT, MT_HEADER);
 		if (m == NULL) {
 			IFNET_STAT_INC(cifp, oerrors, 1);
 			carpstats.carps_onomem++;
@@ -1664,7 +1664,7 @@ carp_macmatch6(void *v, struct mbuf *m, const struct in6_addr *taddr)
 				struct ifnet *ifp = &sc->sc_if;
 
 				mtag = m_tag_get(PACKET_TAG_CARP,
-				    sizeof(struct ifnet *), MB_DONTWAIT);
+				    sizeof(struct ifnet *), M_NOWAIT);
 				if (mtag == NULL) {
 					/* better a bit than nothing */
 					return (IF_LLADDR(ifp));
diff --git a/sys/netinet/ip_divert.c b/sys/netinet/ip_divert.c
index c7bc30d..d8a75c9 100644
--- a/sys/netinet/ip_divert.c
+++ b/sys/netinet/ip_divert.c
@@ -336,7 +336,7 @@ div_output(struct socket *so, struct mbuf *m,
 	 * with a 0 tag in mh_data is effectively untagged,
 	 * so we could optimize that case.
 	 */
-	mtag = m_tag_get(PACKET_TAG_IPFW_DIVERT, sizeof(*divinfo), MB_DONTWAIT);
+	mtag = m_tag_get(PACKET_TAG_IPFW_DIVERT, sizeof(*divinfo), M_NOWAIT);
 	if (mtag == NULL) {
 		error = ENOBUFS;
 		goto cantsend;
@@ -553,7 +553,7 @@ ip_divert_out(struct mbuf *m, int tee)
 
 	/* Clone packet if we're doing a 'tee' */
 	if (tee)
-		clone = m_dup(m, MB_DONTWAIT);
+		clone = m_dup(m, M_NOWAIT);
 
 	/*
 	 * XXX
@@ -652,7 +652,7 @@ ip_divert_in(struct mbuf *m, int tee)
 
 	/* Clone packet if we're doing a 'tee' */
 	if (tee)
-		clone = m_dup(m, MB_DONTWAIT);
+		clone = m_dup(m, M_NOWAIT);
 
 	/*
 	 * Restore packet header fields to original
diff --git a/sys/netinet/ip_encap.c b/sys/netinet/ip_encap.c
index 6d1a404..0e6e979 100644
--- a/sys/netinet/ip_encap.c
+++ b/sys/netinet/ip_encap.c
@@ -463,7 +463,7 @@ encap_fillarg(struct mbuf *m, const struct encaptab *ep)
 {
 	struct m_tag *tag;
 
-	tag = m_tag_get(PACKET_TAG_ENCAP, sizeof(void *), MB_DONTWAIT);
+	tag = m_tag_get(PACKET_TAG_ENCAP, sizeof(void *), M_NOWAIT);
 	if (tag != NULL) {
 		*(void **)m_tag_data(tag) = ep->arg;
 		m_tag_prepend(m, tag);
diff --git a/sys/netinet/ip_icmp.c b/sys/netinet/ip_icmp.c
index 275b518..14e3e88 100644
--- a/sys/netinet/ip_icmp.c
+++ b/sys/netinet/ip_icmp.c
@@ -188,7 +188,7 @@ icmp_error(struct mbuf *n, int type, int code, n_long dest, int destmtu)
 	/*
 	 * First, formulate icmp message
 	 */
-	m = m_gethdr(MB_DONTWAIT, MT_HEADER);
+	m = m_gethdr(M_NOWAIT, MT_HEADER);
 	if (m == NULL)
 		goto freeit;
 	icmplen = min(oiplen + 8, oip->ip_len);
@@ -1065,7 +1065,7 @@ match:
 		 */
 		cp = (u_char *) (ip + 1);
 		if ((opts = ip_srcroute(m)) == NULL &&
-		    (opts = m_gethdr(MB_DONTWAIT, MT_HEADER))) {
+		    (opts = m_gethdr(M_NOWAIT, MT_HEADER))) {
 			opts->m_len = sizeof(struct in_addr);
 			mtod(opts, struct in_addr *)->s_addr = 0;
 		}
diff --git a/sys/netinet/ip_input.c b/sys/netinet/ip_input.c
index ee74815..99de021 100644
--- a/sys/netinet/ip_input.c
+++ b/sys/netinet/ip_input.c
@@ -380,7 +380,7 @@ ip_init(void)
 		/*
 		 * Preallocate mbuf template for forwarding
 		 */
-		MGETHDR(ipforward_mtemp[cpu], MB_WAIT, MT_DATA);
+		MGETHDR(ipforward_mtemp[cpu], M_WAITOK, MT_DATA);
 
 		/*
 		 * Initialize per-cpu ip fragments queues
@@ -1791,7 +1791,7 @@ save_rte(struct mbuf *m, u_char *option, struct in_addr dst)
 	struct ip_srcrt_opt *opt;
 	unsigned olen;
 
-	mtag = m_tag_get(PACKET_TAG_IPSRCRT, sizeof(*opt), MB_DONTWAIT);
+	mtag = m_tag_get(PACKET_TAG_IPSRCRT, sizeof(*opt), M_NOWAIT);
 	if (mtag == NULL)
 		return;
 	opt = m_tag_data(mtag);
@@ -1834,7 +1834,7 @@ ip_srcroute(struct mbuf *m0)
 
 	if (opt->ip_nhops == 0)
 		return (NULL);
-	m = m_get(MB_DONTWAIT, MT_HEADER);
+	m = m_get(M_NOWAIT, MT_HEADER);
 	if (m == NULL)
 		return (NULL);
 
@@ -1990,7 +1990,7 @@ ip_forward(struct mbuf *m, boolean_t using_srcrt, struct sockaddr_in *next_hop)
 		    m_tag_first(mtemp) == NULL,
 		    ("ip_forward invalid mtemp1"));
 
-		if (!m_dup_pkthdr(mtemp, m, MB_DONTWAIT)) {
+		if (!m_dup_pkthdr(mtemp, m, M_NOWAIT)) {
 			/*
 			 * It's probably ok if the pkthdr dup fails (because
 			 * the deep copy of the tag chain failed), but for now
@@ -2085,7 +2085,7 @@ ip_forward(struct mbuf *m, boolean_t using_srcrt, struct sockaddr_in *next_hop)
 	KASSERT((mtemp->m_flags & M_EXT) == 0 &&
 	    mtemp->m_data == mtemp->m_pktdat,
 	    ("ip_forward invalid mtemp2"));
-	mcopy = m_copym(mtemp, 0, mtemp->m_len, MB_DONTWAIT);
+	mcopy = m_copym(mtemp, 0, mtemp->m_len, M_NOWAIT);
 	if (mcopy == NULL)
 		goto done;
 
diff --git a/sys/netinet/ip_output.c b/sys/netinet/ip_output.c
index cac869e..d40ec9e 100644
--- a/sys/netinet/ip_output.c
+++ b/sys/netinet/ip_output.c
@@ -949,7 +949,7 @@ pass:
 			tmp = length = m->m_pkthdr.len;
 
 			while ((length -= mbuf_frag_size) >= 1) {
-				m1 = m_split(m, length, MB_DONTWAIT);
+				m1 = m_split(m, length, M_NOWAIT);
 				if (m1 == NULL)
 					break;
 				m2 = m;
@@ -1140,7 +1140,7 @@ smart_frag_failure:
 		struct mbuf *m;
 		int mhlen = sizeof(struct ip);
 
-		MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(m, M_NOWAIT, MT_HEADER);
 		if (m == NULL) {
 			error = ENOBUFS;
 			ipstat.ips_odropped++;
@@ -1260,7 +1260,7 @@ ip_insertoptions(struct mbuf *m, struct mbuf *opt, int *phlen)
 	if (p->ipopt_dst.s_addr)
 		ip->ip_dst = p->ipopt_dst;
 	if (m->m_flags & M_EXT || m->m_data - optlen < m->m_pktdat) {
-		MGETHDR(n, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(n, M_NOWAIT, MT_HEADER);
 		if (n == NULL) {
 			*phlen = 0;
 			return (m);
@@ -1390,7 +1390,8 @@ ip_ctloutput(netmsg_t msg)
 				error = EMSGSIZE;
 				break;
 			}
-			MGET(m, sopt->sopt_td ? MB_WAIT : MB_DONTWAIT, MT_HEADER);
+			MGET(m, sopt->sopt_td ? M_WAITOK : M_NOWAIT,
+			     MT_HEADER);
 			if (m == NULL) {
 				error = ENOBUFS;
 				break;
@@ -2157,7 +2158,7 @@ ip_mloopback(struct ifnet *ifp, struct mbuf *m, struct sockaddr_in *dst,
 	struct ip *ip;
 	struct mbuf *copym;
 
-	copym = m_copypacket(m, MB_DONTWAIT);
+	copym = m_copypacket(m, M_NOWAIT);
 	if (copym != NULL && (copym->m_flags & M_EXT || copym->m_len < hlen))
 		copym = m_pullup(copym, hlen);
 	if (copym != NULL) {
diff --git a/sys/netinet/raw_ip.c b/sys/netinet/raw_ip.c
index a6d964c..3392711 100644
--- a/sys/netinet/raw_ip.c
+++ b/sys/netinet/raw_ip.c
@@ -175,7 +175,7 @@ rip_input(struct mbuf **mp, int *offp, int proto)
 		    inp->inp_faddr.s_addr != ip->ip_src.s_addr)
 			continue;
 		if (last) {
-			struct mbuf *n = m_copypacket(m, MB_DONTWAIT);
+			struct mbuf *n = m_copypacket(m, M_NOWAIT);
 
 #ifdef IPSEC
 			/* check AH/ESP integrity. */
@@ -285,7 +285,7 @@ rip_output(struct mbuf *m, struct socket *so, ...)
 			m_freem(m);
 			return(EMSGSIZE);
 		}
-		M_PREPEND(m, sizeof(struct ip), MB_WAIT);
+		M_PREPEND(m, sizeof(struct ip), M_WAITOK);
 		if (m == NULL)
 			return(ENOBUFS);
 		ip = mtod(m, struct ip *);
diff --git a/sys/netinet/sctp_asconf.c b/sys/netinet/sctp_asconf.c
index 9c98506..ba37f63 100644
--- a/sys/netinet/sctp_asconf.c
+++ b/sys/netinet/sctp_asconf.c
@@ -136,7 +136,7 @@ sctp_asconf_success_response(uint32_t id)
 	struct mbuf *m_reply = NULL;
 	struct sctp_asconf_paramhdr *aph;
 
-	MGET(m_reply, MB_DONTWAIT, MT_DATA);
+	MGET(m_reply, M_NOWAIT, MT_DATA);
 	if (m_reply == NULL) {
 #ifdef SCTP_DEBUG
 		if (sctp_debug_on & SCTP_DEBUG_ASCONF1) {
@@ -164,7 +164,7 @@ sctp_asconf_error_response(uint32_t id, uint16_t cause, uint8_t *error_tlv,
 	struct sctp_error_cause *error;
 	uint8_t *tlv;
 
-	MGET(m_reply, MB_DONTWAIT, MT_DATA);
+	MGET(m_reply, M_NOWAIT, MT_DATA);
 	if (m_reply == NULL) {
 #ifdef SCTP_DEBUG
 		if (sctp_debug_on & SCTP_DEBUG_ASCONF1) {
@@ -645,7 +645,7 @@ sctp_handle_asconf(struct mbuf *m, unsigned int offset, struct sctp_asconf_chunk
 		sctp_m_freem(asoc->last_asconf_ack_sent);
 		asoc->last_asconf_ack_sent = NULL;
 	}
-	MGETHDR(m_ack, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_ack, M_NOWAIT, MT_DATA);
 	if (m_ack == NULL) {
 #ifdef SCTP_DEBUG
 		if (sctp_debug_on & SCTP_DEBUG_ASCONF1) {
@@ -2246,7 +2246,7 @@ sctp_compose_asconf(struct sctp_tcb *stcb)
 	 * address on the fly
 	 */
 	m_asconf_chk = NULL;
-	MGETHDR(m_asconf_chk, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_asconf_chk, M_NOWAIT, MT_DATA);
 	if (m_asconf_chk == NULL) {
 		/* no mbuf's */
 #ifdef SCTP_DEBUG
@@ -2256,7 +2256,7 @@ sctp_compose_asconf(struct sctp_tcb *stcb)
 		return (NULL);
 	}
 	m_asconf = NULL;
-	MGETHDR(m_asconf, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m_asconf, M_NOWAIT, MT_HEADER);
 	if (m_asconf == NULL) {
 		/* no mbuf's */
 #ifdef SCTP_DEBUG
@@ -2266,7 +2266,7 @@ sctp_compose_asconf(struct sctp_tcb *stcb)
 		sctp_m_freem(m_asconf_chk);
 		return (NULL);
 	}
-	MCLGET(m_asconf, MB_DONTWAIT);
+	MCLGET(m_asconf, M_NOWAIT);
 	if ((m_asconf->m_flags & M_EXT) != M_EXT) {
 		/* failed to get cluster buffer */
 #ifdef SCTP_DEBUG
diff --git a/sys/netinet/sctp_indata.c b/sys/netinet/sctp_indata.c
index bd8dbda..c6443bb 100644
--- a/sys/netinet/sctp_indata.c
+++ b/sys/netinet/sctp_indata.c
@@ -202,7 +202,7 @@ sctp_build_ctl_nchunk(struct sctp_tcb *stcb, uint32_t tsn, uint32_t ppid,
 		return (NULL);
 	}
 
-	MGETHDR(ret, MB_DONTWAIT, MT_CONTROL);
+	MGETHDR(ret, M_NOWAIT, MT_CONTROL);
 	if (ret == NULL) {
 		/* No space */
 		return (ret);
@@ -252,7 +252,7 @@ sctp_build_ctl(struct sctp_tcb *stcb, struct sctp_tmit_chunk *chk)
 		/* user does not want the sndrcv ctl */
 		return (NULL);
 	}
-	MGET(ret, MB_DONTWAIT, MT_CONTROL);
+	MGET(ret, M_NOWAIT, MT_CONTROL);
 	if (ret == NULL) {
 		/* No space */
 		return (ret);
@@ -394,7 +394,7 @@ sctp_deliver_data(struct sctp_tcb *stcb, struct sctp_association *asoc,
 #endif
 	/* XXX need to append PKTHDR to the socket buffer first */
 	if ((chk->data->m_flags & M_PKTHDR) == 0) {
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			/* no room! */
 			if (hold_locks == 0)
@@ -620,7 +620,7 @@ sctp_service_reassembly(struct sctp_tcb *stcb, struct sctp_association *asoc, in
 		}
 
 		if ((chk->data->m_flags & M_PKTHDR) == 0) {
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m == NULL) {
 				/* no room! */
 				if (hold_locks == 0)
@@ -861,7 +861,7 @@ sctp_queue_data_to_stream(struct sctp_tcb *stcb, struct sctp_association *asoc,
 		 * association destruction
 		 */
 		TAILQ_INSERT_HEAD(&strm->inqueue, chk, sctp_next);
-		MGET(oper, MB_DONTWAIT, MT_DATA);
+		MGET(oper, M_NOWAIT, MT_DATA);
 		if (oper) {
 			struct sctp_paramhdr *ph;
 			u_int32_t *ippp;
@@ -1091,7 +1091,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 					kprintf("Gak, Evil plot, its not first, no fragmented delivery in progress\n");
 				}
 #endif
-				MGET(oper, MB_DONTWAIT, MT_DATA);
+				MGET(oper, M_NOWAIT, MT_DATA);
 				if (oper) {
 					struct sctp_paramhdr *ph;
 					u_int32_t *ippp;
@@ -1121,7 +1121,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 					kprintf("Gak, Evil plot, it IS a first and fragmented delivery in progress\n");
 				}
 #endif
-				MGET(oper, MB_DONTWAIT, MT_DATA);
+				MGET(oper, M_NOWAIT, MT_DATA);
 				if (oper) {
 					struct sctp_paramhdr *ph;
 					u_int32_t *ippp;
@@ -1151,7 +1151,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						    asoc->str_of_pdapi);
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1182,7 +1182,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						    asoc->ssn_of_pdapi);
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1280,7 +1280,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						kprintf("Gak, Evil plot, it's a FIRST!\n");
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1316,7 +1316,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						    prev->rec.data.stream_number);
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1354,7 +1354,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						    prev->rec.data.stream_seq);
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1388,7 +1388,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						kprintf("Prev check - Gak, evil plot, its not FIRST and it must be!\n");
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1433,7 +1433,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						kprintf("Gak, Evil plot, its not a last!\n");
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1470,7 +1470,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						kprintf("Gak, Evil plot, new prev chunk is a LAST\n");
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1506,7 +1506,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						    next->rec.data.stream_number);
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1544,7 +1544,7 @@ sctp_queue_data_for_reasm(struct sctp_tcb *stcb, struct sctp_association *asoc,
 						    next->rec.data.stream_seq);
 					}
 #endif
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -1815,7 +1815,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 		struct sctp_paramhdr *phdr;
 		struct mbuf *mb;
 
-		MGETHDR(mb, MB_DONTWAIT, MT_DATA);
+		MGETHDR(mb, M_NOWAIT, MT_DATA);
 		if (mb != NULL) {
 			/* add some space up front so prepend will work well */
 			mb->m_data += sizeof(struct sctp_chunkhdr);
@@ -1867,7 +1867,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 		 * throw it in the stream so it gets cleaned up in
 		 * association destruction
 		 */
-		MGET(oper, MB_DONTWAIT, MT_DATA);
+		MGET(oper, M_NOWAIT, MT_DATA);
 		if (oper) {
 			struct sctp_paramhdr *ph;
 			u_int32_t *ippp;
@@ -1891,7 +1891,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 	if (last_chunk == 0) {
 		dmbuf = sctp_m_copym(*m,
 		    (offset + sizeof(struct sctp_data_chunk)),
-		    the_len, MB_DONTWAIT);
+		    the_len, M_NOWAIT);
 	} else {
 		/* We can steal the last chunk */
 		dmbuf = *m;
@@ -1939,7 +1939,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 
 		if ((dmbuf->m_flags & M_PKTHDR) == 0) {
 			struct mbuf *tmp;
-			MGETHDR(tmp, MB_DONTWAIT, MT_DATA);
+			MGETHDR(tmp, M_NOWAIT, MT_DATA);
 			if (tmp == NULL) {
 
 				/* no room! */
@@ -2085,7 +2085,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 			if (TAILQ_EMPTY(&asoc->reasmqueue) &&
 			    (estimate_tsn == chk->rec.data.TSN_seq)) {
 				/* Evil/Broke peer */
-				MGET(oper, MB_DONTWAIT, MT_DATA);
+				MGET(oper, M_NOWAIT, MT_DATA);
 				if (oper) {
 					struct sctp_paramhdr *ph;
 					u_int32_t *ippp;
@@ -2108,7 +2108,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 				return (0);
 			} else {
 				if (sctp_does_chk_belong_to_reasm(asoc, chk)) {
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -2142,7 +2142,7 @@ sctp_process_a_data_chunk(struct sctp_tcb *stcb, struct sctp_association *asoc,
 				 * our peer is broken or evil.
 				 */
 				if (sctp_does_chk_belong_to_reasm(asoc, chk)) {
-					MGET(oper, MB_DONTWAIT, MT_DATA);
+					MGET(oper, M_NOWAIT, MT_DATA);
 					if (oper) {
 						struct sctp_paramhdr *ph;
 						u_int32_t *ippp;
@@ -2566,10 +2566,10 @@ sctp_process_data(struct mbuf **mm, int iphlen, int *offset, int length,
 		/* we only handle mbufs that are singletons.. not chains */
 #ifdef __DragonFly__
 		if ((*mm)->m_flags & M_PKTHDR)
-			MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+			MGETHDR(m, M_NOWAIT, MT_HEADER);
 		else
 #endif
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 		if (m) {
 			/* ok lets see if we can copy the data up */
 			caddr_t *from, *to;
@@ -2626,7 +2626,7 @@ sctp_process_data(struct mbuf **mm, int iphlen, int *offset, int length,
 			 * data chunk.
 			 */
 			struct mbuf *op_err;
-			MGET(op_err, MB_DONTWAIT, MT_DATA);
+			MGET(op_err, M_NOWAIT, MT_DATA);
 			if (op_err) {
 				struct sctp_paramhdr *ph;
 				u_int32_t *ippp;
@@ -3627,7 +3627,7 @@ sctp_handle_sack(struct sctp_sack_chunk *ch, struct sctp_tcb *stcb,
 		hopeless_peer:
 			*abort_now = 1;
 			/* XXX */
-			MGET(oper, MB_DONTWAIT, MT_DATA);
+			MGET(oper, M_NOWAIT, MT_DATA);
 			if (oper) {
 				struct sctp_paramhdr *ph;
 				u_int32_t *ippp;
diff --git a/sys/netinet/sctp_input.c b/sys/netinet/sctp_input.c
index 1e476cf..9953105 100644
--- a/sys/netinet/sctp_input.c
+++ b/sys/netinet/sctp_input.c
@@ -1089,7 +1089,7 @@ sctp_process_cookie_existing(struct mbuf *m, int iphlen, int offset,
 			kprintf("sctp_handle_cookie: got a cookie, while shutting down!\n");
 		}
 #endif
-		MGETHDR(op_err, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(op_err, M_NOWAIT, MT_HEADER);
 		if (op_err == NULL) {
 			/* FOOBAR */
 			return (NULL);
@@ -1806,7 +1806,7 @@ sctp_handle_cookie_echo(struct mbuf *m, int iphlen, int offset,
 		return (NULL);
 	}
 
-	m_sig = m_split(m, sig_offset, MB_DONTWAIT);
+	m_sig = m_split(m, sig_offset, M_NOWAIT);
 	if (m_sig == NULL) {
 		/* out of memory or ?? */
 #ifdef SCTP_DEBUG
@@ -1957,7 +1957,7 @@ sctp_handle_cookie_echo(struct mbuf *m, int iphlen, int offset,
 			kprintf("sctp_handle_cookie: got a STALE cookie!\n");
 		}
 #endif
-		MGETHDR(op_err, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(op_err, M_NOWAIT, MT_HEADER);
 		if (op_err == NULL) {
 			/* FOOBAR */
 			return (NULL);
@@ -3249,7 +3249,7 @@ sctp_process_control(struct mbuf *m, int iphlen, int *offset, int length,
 				struct mbuf *oper;
 				struct sctp_paramhdr *phdr;
 				oper = NULL;
-				MGETHDR(oper, MB_DONTWAIT, MT_HEADER);
+				MGETHDR(oper, M_NOWAIT, MT_HEADER);
 				if (oper) {
 					/* pre-reserve some space */
 					oper->m_data +=
@@ -3516,7 +3516,7 @@ sctp_process_control(struct mbuf *m, int iphlen, int *offset, int length,
 					struct mbuf *oper;
 					struct sctp_paramhdr *phdr;
 					oper = NULL;
-					MGETHDR(oper, MB_DONTWAIT, MT_HEADER);
+					MGETHDR(oper, M_NOWAIT, MT_HEADER);
 					if (oper) {
 						oper->m_len =
 						    oper->m_pkthdr.len =
@@ -3717,7 +3717,7 @@ sctp_process_control(struct mbuf *m, int iphlen, int *offset, int length,
 			if ((ch->chunk_type & 0x40) && (stcb != NULL)) {
 				struct mbuf *mm;
 				struct sctp_paramhdr *phd;
-				MGETHDR(mm, MB_DONTWAIT, MT_HEADER);
+				MGETHDR(mm, M_NOWAIT, MT_HEADER);
 				if (mm) {
 					phd = mtod(mm, struct sctp_paramhdr *);
 					/* We cheat and use param type since we
@@ -3733,7 +3733,7 @@ sctp_process_control(struct mbuf *m, int iphlen, int *offset, int length,
 					mm->m_len = sizeof(*phd);
 					mm->m_next = sctp_m_copym(m, *offset,
 					    SCTP_SIZE32(chk_length),
-					    MB_DONTWAIT);
+					    M_NOWAIT);
 					if (mm->m_next) {
 						mm->m_pkthdr.len =
 						    SCTP_SIZE32(chk_length) +
